## org.eclipse.emf.cdo.spi.server
Class StoreAccessorPool

    java.lang.Object
      org.eclipse.emf.cdo.spi.server.StoreAccessorPool

    public class StoreAccessorPool

extends java.lang.Object

Since:
  2.0

Constructor Summary
`StoreAccessorPool(IStore store, java.lang.Object context)`

Method Summary
`void` `addStoreAccessor(StoreAccessor storeAccessor)` Passivates the given `store accessor` and adds it to this pool.
`void` `dispose()` Deactivates all contained `store accessors` and clears this pool.
`java.lang.Object` `getContext()`
`IStore` `getStore()`
`StoreAccessor` `removeStoreAccessor()` Returns a `store accessor` from this pool if one is available, or `null` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StoreAccessorPool

    public StoreAccessorPool(IStore store,
                             java.lang.Object context)

Method Detail

### getStore

    public IStore getStore()

### getContext

    public java.lang.Object getContext()

### addStoreAccessor

    public void addStoreAccessor(StoreAccessor storeAccessor)

  Passivates the given `store accessor` and adds it to this pool.

### removeStoreAccessor

    public StoreAccessor removeStoreAccessor()

  Returns a `store accessor` from this pool if one is available, or `null` otherwise. If a store accessor is available it is removed from this pool and its unpassivate method is called.

### dispose

    public void dispose()

  Deactivates all contained `store accessors` and clears this pool.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.